#
# spec file for package xbench
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _xorg7libs %{_lib}
%define _xorg7libs32 lib
%define _xorg7bin bin
%define _xorg7_mandir %{_mandir}
%define _xorg7pixmaps include
%define _xorg7libshare share
%define _xorg7_xkb %{_datadir}/X11/xkb
%define _xorg7_termcap %{_libexecdir}/X11/etc
%define _xorg7_serverincl %{_includedir}/xorg
%define _xorg7_fonts %{_datadir}/fonts
%define _xorg7_prefix /usr
Name:           xbench
Version:        0.2
Release:        lp152.3.24
Summary:        Benchmark for X11
License:        SUSE-Public-Domain
Group:          System/Benchmark
Url:            http://ftp.x.org/contrib/utilities/
Source:         http://ftp.x.org/contrib/utilities/%{name}-%{version}-src.tar.gz
Patch0:         xbench-%{version}.patch
Patch1:         xbench-%{version}-ia64.patch
Patch2:         xbench-%{version}-nonvoid.patch
Patch3:         xbench-%{version}-gets.patch
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A benchmark for X11.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3

%build
xmkmf -a
make %{?_smp_mflags} CCOPTIONS="%{optflags}"

%install
make "DESTDIR=%{buildroot}" install
make "DESTDIR=%{buildroot}" install.man
install -d %{buildroot}%{_defaultdocdir}/xbench
install -d %{buildroot}%{_prefix}/%{_xorg7libshare}/X11/xbench/results
install -d %{buildroot}%{_prefix}/%{_xorg7libshare}/X11/xbench/scripts
install -m 644 AUTHOR CHANGES IAFA-PACKAGE README xbench.doc Makefile script.run \
    %{buildroot}%{_prefix}/%{_xorg7libshare}/X11/xbench
install -m 644 results/* %{buildroot}%{_prefix}/%{_xorg7libshare}/X11/xbench/results
install -m 644 scripts/* %{buildroot}%{_prefix}/%{_xorg7libshare}/X11/xbench/scripts
chmod a+x %{buildroot}%{_prefix}/%{_xorg7libshare}/X11/xbench/scripts/insSep.sh
cd %{buildroot}%{_defaultdocdir}/xbench; ln -sf ../../../../%{_xorg7libshare}/X11/xbench benchmarks

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/xbench
%doc %{_xorg7_mandir}/man1/xbench.1x*
%{_prefix}/%{_xorg7bin}/xbench
%{_prefix}/%{_xorg7libshare}/X11/xbench

%changelog
* Wed Mar 11 2015 mpluskal@suse.com
- Cleanup spec-file with spec-cleaner
* Mon Nov  3 2014 crrodriguez@opensuse.org
- Switch to individual pkgconfig() build requires
  instead of using metapackage xorg-x11-devel
* Tue Oct  7 2014 jengelh@inai.de
- Use Source URLs, drop ancient specfile tags,
  and use %%_smp_mflags for parallel build.
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Thu Nov 16 2006 anosek@suse.cz
- replaced dangerous gets() function by fgets()
  [#219046] (gets.patch)
* Tue Aug  8 2006 lmichnovic@suse.cz
- compiling with RPM_OPT_FLAGS
* Fri Jul 28 2006 lmichnovic@suse.cz
- builds also with new X.org 7.x, detecting prefix in X.org
- building with icecream
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 26 2005 lmichnovic@suse.cz
- fixed non-void functions
* Fri Jun 25 2004 hmacht@suse.de
- building as non-root user
* Thu Jun  3 2004 ro@suse.de
- add return values to non-void functions
* Wed May 23 2001 cihlar@suse.cz
- fixed includes
- fixed warnings
* Tue Nov 21 2000 cihlar@suse.cz
- fixed copyright
- bzipped sources
- clean up spec file
* Fri May 19 2000 cihlar@suse.cz
- /usr/doc/packages -> %%{_defaultdocdir}
* Mon Apr 17 2000 cihlar@suse.cz
- fixed to compile on axp
* Tue Apr 11 2000 cihlar@suse.cz
- added BuildRoot
* Tue Nov 16 1999 sndirsch@suse.de
- prepared to be able to make benchmarks
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Oct  7 1997 ro@suse.de
- copied results to /usr/X11R6/lib/X11/xbench/results
  instead of scripts which is copied to /usr/X11R6/lib/X11/xbench/scripts
* Sun Jun  1 1997 bs@suse.de
- moved var/X11R6/lib/app-defaults to usr/X11R6/lib/X11/app-defaults
